## pysha3 1.0%7eb1

=== Makefile ===
PYTHON=python
SETUPFLAGS=
COMPILEFLAGS=
INSTALLFLAGS=
PYTHONS=python2.6 python2.7 python3.2 python3.3 python3.4

.PHONY: inplace all rebuild test_inplace test fulltests clean distclean
.PHONY: sdist install

all: inplace README.html

README.html: README.txt CHANGES.txt
	@echo | cat README.txt - CHANGES.txt | \
	    rst2html --verbose --exit-status=1 > README.html

inplace:
	$(PYTHON) setup.py $(SETUPFLAGS) build_ext -i $(COMPILEFLAGS)

rebuild: clean all

test_inplace: inplace
	$(PYTHON) -m tests

test: test_inplace

fulltest:
	$(MAKE) clean
	@set -e; \
	for python in $(PYTHONS); do \
		echo "\n*** $$python without HMAC ***"; \
		$$python $(SETUPFLAGS) setup.py -q test; \
	done
	$(MAKE) clean
	@set -e; \
	for python in $(PYTHONS); do \
		echo "\n*** $$python with HMAC ***"; \
		$$python $(SETUPFLAGS) setup.py -q build_ext -DSHA3_HMAC_SUPPORT test; \
	done
	$(MAKE) clean

clean:
	@find . \( -name '*.o' -or -name '*.so' -or -name '*.sl' -or \
	           -name '*.py[cod]' -or -name README.html \) \
	    -and -type f -delete

distclean: clean
	@rm -rf build
	@rm -rf dist
	@find . \( -name '~*' -or -name '*.orig' -or -name '*.bak' -or \
	          -name 'core*' \) -and -type f  -delete

sdist: README.html
	$(PYTHON) setup.py sdist --formats gztar,zip

install:
	$(PYTHON) setup.py $(SETUPFLAGS) build $(COMPILEFLAGS)
	$(PYTHON) setup.py install $(INSTALLFLAGS)

## pysha3 1.0.0

=== debian/changelog ===
pysha3 (1.0.0-0ubuntu1~ubuntu16.04.2) xenial-security; urgency=medium

  *  No-change rebuild in support for snapcraft update (LP: #1901572)

 -- Emilia Torino <emilia.torino@canonical.com>  Wed, 11 Nov 2020 18:45:48 -0300

pysha3 (1.0.0-0ubuntu1~ubuntu16.04.1) xenial-proposed; urgency=medium

  * Backport to xenial (LP: #1658788).

 -- William Grant <wgrant@ubuntu.com>  Tue, 24 Jan 2017 12:08:17 +1100

pysha3 (1.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
    - Most patches included upstream and dropped.

 -- William Grant <wgrant@ubuntu.com>  Tue, 24 Jan 2017 09:21:48 +1100

pysha3 (1.0~b1-0ubuntu1) zesty; urgency=medium

  * Initial release (LP: #1647860).

 -- William Grant <wgrant@ubuntu.com>  Fri, 02 Dec 2016 09:59:46 +1100

=== debian/control ===
Source: pysha3
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>=9), dh-python, python-all-dev (>= 2.7), python-setuptools, python3-all-dev, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/tiran/pysha3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pysha3
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: python-pysha3-doc
Description: Python SHA-3 wrapper (Python 2)
 SHA-3 wrapper (keccak) for Python. The package is a wrapper around the
 optimized Keccak Code Package, https://github.com/gvanas/KeccakCodePackage.
 .
 This is a standalone backport of the _sha3 module from Python 3.6.
 .
 This package installs the library for Python 2.

Package: python3-pysha3
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: python-pysha3-doc
Description: Python SHA-3 wrapper (Python 3)
 SHA-3 wrapper (keccak) for Python. The package is a wrapper around the
 optimized Keccak Code Package, https://github.com/gvanas/KeccakCodePackage.
 .
 This is a standalone backport of the _sha3 module from Python 3.6.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pysha3

%:
	dh $@  --with python2,python3 --buildsystem=pybuild


override_dh_auto_test:
	dh_auto_test -- --system=custom \
	    --before-test 'cp -R {dir}/tests.py {dir}/vectors {build_dir}' \
	    --test-args 'cd {build_dir}; {interpreter} tests.py' \
	    --after-test 'rm -r {build_dir}/tests.py {build_dir}/vectors'

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/pysha3/pysha3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysha3 1.0.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SETUPFLAGS=
 COMPILEFLAGS=
 INSTALLFLAGS=
-PYTHONS=python2.6 python2.7 python3.2 python3.3 python3.4
+PYTHONS=python2.7 python3.4 python3.5
 
 .PHONY: inplace all rebuild test_inplace test fulltests clean distclean
 .PHONY: sdist install
@@ -27,14 +27,7 @@
 	$(MAKE) clean
 	@set -e; \
 	for python in $(PYTHONS); do \
-		echo "\n*** $$python without HMAC ***"; \
 		$$python $(SETUPFLAGS) setup.py -q test; \
-	done
-	$(MAKE) clean
-	@set -e; \
-	for python in $(PYTHONS); do \
-		echo "\n*** $$python with HMAC ***"; \
-		$$python $(SETUPFLAGS) setup.py -q build_ext -DSHA3_HMAC_SUPPORT test; \
 	done
 	$(MAKE) clean
 
@@ -55,3 +48,4 @@
 install:
 	$(PYTHON) setup.py $(SETUPFLAGS) build $(COMPILEFLAGS)
 	$(PYTHON) setup.py install $(INSTALLFLAGS)
+

=== debian/changelog ===
pysha3 (1.0.2-2) unstable; urgency=medium

  * Correct VCS URL fields.
  * Remove suggestion for unrelated package.
  * Enable upstream test suite during build.

 -- Ben Finney <bignose@debian.org>  Wed, 23 Aug 2017 09:36:06 +1000

pysha3 (1.0.2-1) unstable; urgency=medium

  * The “سليمان الرشودي (Suliman Ibrahim al-Reshoudi)” release.
  * Initial release.
    Closes: bug#866518.

 -- Ben Finney <bignose@debian.org>  Wed, 16 Aug 2017 22:59:19 +1000

=== debian/control ===
Source: pysha3
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.1
Build-Depends:
    tox,
    python3-flake8,
    python3-setuptools,
    python3-all-dev,
    python3,
    python-setuptools,
    python-all-dev (>= 2.7~),
    python (>= 2.7~),
    dh-python,
    debhelper (>= 10~)
Homepage: https://pypi.org/project/pysha3/
VCS-Git: https://anonscm.debian.org/git/users/bignose/debian/pkg-pysha3.git
VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian/pkg-pysha3.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python3-sha3
Architecture: any
Depends:
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Description: SHA-3 (Keccak) hash implementation — Python 3
 ‘sha3’ is a Python library for the SHA-3 hashing functions.
 .
 This is a stand-alone package of the ‘sha3’ code included in Python
 3.6 and later.
 .
 SHA-3, also known as “Keccak”, is a family of algorithms standardised
 by NIST under the title “FIPS 202, SHA-3 Standard: Permutation-Based
 Hash And Extendable-Output Functions”.
 .
 This package installs the library for Python 3.

Package: python-sha3
Architecture: any
Depends:
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Description: SHA-3 (Keccak) hash implementation — Python 2
 ‘sha3’ is a Python library for the SHA-3 hashing functions.
 .
 This is a stand-alone package of the ‘sha3’ code included in Python
 3.6 and later.
 .
 SHA-3, also known as “Keccak”, is a family of algorithms standardised
 by NIST under the title “FIPS 202, SHA-3 Standard: Permutation-Based
 Hash And Extendable-Output Functions”.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘pysha3’ package.
#
# Copyright © 2009–2017 Ben Finney <bignose@debian.org>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 3 or later.
# No warranty expressed or implied.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export PYBUILD_NAME = sha3


%:
	dh $@ --with python3,python2 --buildsystem=pybuild


.PHONY: get-packaged-orig-source
get-packaged-orig-source:
	$(uscan-download-source) --download-current-version

# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
# “This target is optional, but providing it if possible is a good idea.”
#
# This target is an anomaly: per Policy §4.9, it fetches the *latest*
# upstream source, regardless of this package's version. To fetch the
# upstream source corresponding to this package's *declared* version
# in ‘debian/changelog’, use ‘get-packaged-orig-source’ instead.
.PHONY: get-orig-source
get-orig-source:
	$(uscan-download-source)

get-orig-source get-packaged-orig-source: http_proxy =
get-orig-source get-packaged-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
get-orig-source get-packaged-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))

define uscan-download-source
	uscan --noconf --verbose \
	    --force-download \
	    --rename \
	    --destdir=$(CURDIR) \
	    --check-dirname-level=0 ${package_dir}
endef # uscan-download-source


.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.

Tests: smoke-python2
Depends:
    python-pkg-resources,
    python-sha3

Tests: smoke-python3
Depends:
    python3-pkg-resources,
    python3-sha3


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘pysha3’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Current version from Python Package Index.
opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/" \
    http://pypi.debian.net/@PACKAGE@/ \
    /@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
